<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoPagSeguro\LojaCompraRegistrationViewModel;

use App\Utils\Builder;

class LojaCompraCartaoRegistrationViewModelBuilder implements Builder {
	protected $id_usuario;
	protected $id_pet;
	protected $id_loja;
	protected $produtos;
	protected $valor_total;
	protected $payment_method;

	public function build(): LojaCompraCartaoRegistrationViewModel {

		$obj = new LojaCompraCartaoRegistrationViewModel();

		$obj->setIdUsuario( $this->id_usuario );
		$obj->setIdPet( $this->id_pet );
		$obj->setIdLoja( $this->id_loja );
		$obj->setProdutos( $this->produtos );
		$obj->setPaymentMethod( $this->payment_method );
		$obj->setValorTotal( $this->valor_total );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->id_usuario = $id_usuario;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->id_pet = $id_pet;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->id_loja = $id_loja;
		return $this;

	}

	/**
	 *
	 * @param mixed $produtos
	 */
	public function setProdutos($produtos): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->produtos = $produtos;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor_total
	 */
	public function setValorTotal($valor_total): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->valor_total = $valor_total;
		return $this;

	}

	/**
	 *
	 * @param mixed $payment_method
	 */
	public function setPaymentMethod($payment_method): LojaCompraCartaoRegistrationViewModelBuilder {

		$this->payment_method = $payment_method;
		return $this;

	}

}

